Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159224 - glibc-kernheaders updates for new audit system
Summary: glibc-kernheaders updates for new audit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc-kernheaders
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-31 18:10 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-716
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:23:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:716 qe-ready SHIPPED_LIVE glibc-kernheaders bug fix update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-05-31 18:10:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
This package needs a couple of updates for the new audit system:

/usr/include/linux/audit.h      - needs updates for filesystem auditing
/usr/include/linux/ipx.h        - needs #include <linux/if.h> added to it
/usr/include/linux/capability.h - needs AUDIT_COMTROL & AUDIT_WRITE added

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. New functionality

Additional info:

Comment 3 Steve Grubb 2005-06-17 12:57:24 UTC
ipx.h still needs to include linux/if.h   and   asm-pp64/ipc.h uses u32 without
including anything to define the data type.

Comment 12 Red Hat Bugzilla 2005-10-05 12:08:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html


Comment 13 Red Hat Bugzilla 2005-10-05 12:23:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html



Note You need to log in before you can comment on or make changes to this bug.